JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::NAK Struct Reference
juce_midi_ci » ci

See the MIDI-CI specification. More...

`#include <juce_CIMessages.h>`

## Public Member Functions
String | getMessageTextAsString () const
| Convenience function that returns the message's text as a String.
auto | tie () const
bool | operator== (const NAK &x) const
bool | operator!= (const NAK &x) const

## Public Attributes
std::byte | originalCategory {}
| Only valid if the message header specifies version 0x02 or greater.
std::byte | statusCode {}
| Only valid if the message header specifies version 0x02 or greater.
std::byte | statusData {}
| Only valid if the message header specifies version 0x02 or greater.
std::array< std::byte, 5 > | details {}
| Only valid if the message header specifies version 0x02 or greater.
Span< const std::byte > | messageText {}
| Only valid if the message header specifies version 0x02 or greater.

## Detailed Description

See the MIDI-CI specification.

## Member Function Documentation

## ◆ getMessageTextAsString()

String juce::midi_ci::Message::NAK::getMessageTextAsString | ( |  | ) | const

Convenience function that returns the message's text as a String.

References messageText, and juce::midi_ci::Encodings::stringFrom7BitText().

## ◆ tie()

auto juce::midi_ci::Message::NAK::tie | ( |  | ) | const

References details, messageText, originalCategory, statusCode, and statusData.

Referenced by operator==().

## ◆ operator==()

bool juce::midi_ci::Message::NAK::operator== | ( | const NAK & | x | ) | const

References tie(), and x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::NAK::operator!= | ( | const NAK & | x | ) | const

References operator==(), and x.

## Member Data Documentation

## ◆ originalCategory

std::byte juce::midi_ci::Message::NAK::originalCategory {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## ◆ statusCode

std::byte juce::midi_ci::Message::NAK::statusCode {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## ◆ statusData

std::byte juce::midi_ci::Message::NAK::statusData {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## ◆ details

std::array<std::byte, 5> juce::midi_ci::Message::NAK::details {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## ◆ messageText

Span<const std::byte> juce::midi_ci::Message::NAK::messageText {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by getMessageTextAsString(), and tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h